summaryrefslogtreecommitdiffstats
path: root/extras/hs-test/hs_test.sh
diff options
context:
space:
mode:
authorAdrian Villin <avillin@cisco.com>2024-08-22 10:35:19 +0200
committerDave Wallace <dwallacelf@gmail.com>2024-08-22 11:53:13 +0000
commit399d44074b93d9ce7b0c7d7aae05510633725980 (patch)
tree6ed1b8c35b31e9da4986bb0528268d464291b526 /extras/hs-test/hs_test.sh
parent56f5bd99850a4068aed6f1b5b02e6b872a455edc (diff)
hs-test: fix incorrect exit status
- exit status was incorrect when tests didn't compile - better summary formatting - removed "full stack trace: null" from summary when a test times out Type: test Change-Id: Idd6b6bf3429fc8b704dd2345d257e9bdce1b82b7 Signed-off-by: Adrian Villin <avillin@cisco.com>
Diffstat (limited to 'extras/hs-test/hs_test.sh')
-rw-r--r--extras/hs-test/hs_test.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/extras/hs-test/hs_test.sh b/extras/hs-test/hs_test.sh
index c53c5a9de88..c72ef73301e 100644
--- a/extras/hs-test/hs_test.sh
+++ b/extras/hs-test/hs_test.sh
@@ -124,5 +124,16 @@ mkdir -p summary
# shellcheck disable=SC2086
sudo -E go run github.com/onsi/ginkgo/v2/ginkgo --json-report=summary/report.json $ginkgo_args -- $args
-jq -r '.[0] | .SpecReports[] | select((.State == "failed") or (.State == "timedout") or (.State == "panicked")) | select(.Failure != null) | "TestName: \(.LeafNodeText)\nSuite:\n\(.Failure.FailureNodeLocation.FileName)\nMessage:\n\(.Failure.Message)\n Full Stack Trace:\n\(.Failure.Location.FullStackTrace)\n"' summary/report.json > summary/failed-summary.log \
+if [ $? != 0 ]; then
+ jq -r '.[0] | .SpecReports[] | select((.State == "failed") or (.State == "timedout") or (.State == "panicked")) | select(.Failure != null) |
+"TestName:
+ \(.LeafNodeText)
+Suite:
+ \(.Failure.FailureNodeLocation.FileName)
+Message:
+\(.Failure.Message)"
+ + (if .Failure.Message == "A spec timeout occurred" then "\n" else
+"\nFull Stack Trace:
+\(.Failure.Location.FullStackTrace)\n" end)' summary/report.json > summary/failed-summary.log \
&& echo "Summary generated -> summary/failed-summary.log"
+fi